#!/bin/bash

#parar shinken y apache
echo "---------------------------------------------------------";
echo "Se paran los servicios Shinken y Apache";
echo "---------------------------------------------------------";
echo "";
echo "";
service shinken stop;
service apache2 stop;

#eliminar las carpetas principales de los programas
echo "---------------------------------------------------------";
echo "Se eliminan las carpetas principales de los programas";
echo "---------------------------------------------------------";
echo "";
echo "";

rm -rf /usr/local/shinken* /usr/local/pnp4nagios* /usr/local/nagvis* /usr/local/nagios*;

#quitar la configuracion de Shinken en /etc/default/
rm /etc/default/shinken;

#Se ejecuta el script de desinstalacion de los desarrolladores
./scriptshinken -u;

echo "---------------------------------------------------------";
echo "Se desinstalan las aplicaciones extra instaladas";
echo "---------------------------------------------------------";
echo "";
echo "";
#desinstalar la terminal web
apt-get remove shellinabox;

#desinstalar nmap
apt-get remove nmap;

#desinstalar mongodb
apt-get remove mongodb;

#paquetes que faltaban en la instalacion
apt-get remove python-pymongo;
apt-get remove python-kombu;
apt-get remove python-mysqldb;
apt-get remove python-simplejson;
apt-get remove python-netifaces;

apt-get autoremove;

echo "";
echo "";
echo "Desinstalacion completada";

exit;
